Package org.eclipse.rap.rwt.client.service

## Interface StartupParameters

All Superinterfaces:
  `ClientService`, `java.io.Serializable`

All Known Implementing Classes:
  `AbstractEntryPoint`

    public interface StartupParameters
    extends ClientService

The startup parameters service allows accessing startup parameters of an entry point. In the default web client, these parameters can be passed as HTTP request parameters in the initial request.

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getParameter​(java.lang.String name)` Returns the value of a named entrypoint startup parameter.
`java.util.Collection<java.lang.String>` `getParameterNames()` Returns the names of the entrypoint startup parameters.
`java.util.List<java.lang.String>` `getParameterValues​(java.lang.String name)` Returns a list with values of a named entrypoint startup parameter.

### Method Detail

#### getParameterNames

    java.util.Collection<java.lang.String> getParameterNames()

Returns the names of the entrypoint startup parameters.

Returns:
  a (possibly empty) collection of parameter names

#### getParameter

    java.lang.String getParameter​(java.lang.String name)

Returns the value of a named entrypoint startup parameter. You should only use this method when you are sure the parameter has only one value. If the parameter might have more than one value, use `getParameterValues(java.lang.String)`. If you use this method with a multivalued parameter, the value returned is equal to the first value in the list returned by `getParameterValues`.

Parameters:
  `name` - the name of the parameter
Returns:
  the value of the parameter, or `null` if the parameter does not exist

#### getParameterValues

    java.util.List<java.lang.String> getParameterValues​(java.lang.String name)

Returns a list with values of a named entrypoint startup parameter. If the parameter has a single value, the list has a size of 1.

Parameters:
  `name` - the name of the parameter
Returns:
  the values of the parameter, or `null` if the parameter does not exist